package com.fs.company.service;

import com.fs.aicall.domain.apiresult.PushIIntentionResult;
import com.fs.company.domain.CompanyVoiceRobotic;
import com.fs.company.vo.AddWxClientVo;
import com.fs.company.vo.CompanyVoiceRoboticQwUserListVo;

import java.util.List;

/**
 * 机器人外呼任务Service接口
 * 
 * @author fs
 * @date 2024-12-04
 */
public interface ICompanyVoiceRoboticService 
{
    /**
     * 查询机器人外呼任务
     * 
     * @param id 机器人外呼任务ID
     * @return 机器人外呼任务
     */
    public CompanyVoiceRobotic selectCompanyVoiceRoboticById(Long id);

    /**
     * 查询机器人外呼任务列表
     * 
     * @param companyVoiceRobotic 机器人外呼任务
     * @return 机器人外呼任务集合
     */
    public List<CompanyVoiceRobotic> selectCompanyVoiceRoboticList(CompanyVoiceRobotic companyVoiceRobotic);
    public List<CompanyVoiceRobotic> selectCompanyVoiceRoboticListCompany(CompanyVoiceRobotic companyVoiceRobotic);

    /**
     * 新增机器人外呼任务
     * 
     * @param companyVoiceRobotic 机器人外呼任务
     * @return 结果
     */
    public int insertCompanyVoiceRobotic(CompanyVoiceRobotic companyVoiceRobotic);

    /**
     * 修改机器人外呼任务
     * 
     * @param companyVoiceRobotic 机器人外呼任务
     * @return 结果
     */
    public int updateCompanyVoiceRobotic(CompanyVoiceRobotic companyVoiceRobotic);

    /**
     * 批量删除机器人外呼任务
     * 
     * @param ids 需要删除的机器人外呼任务ID
     * @return 结果
     */
    public int deleteCompanyVoiceRoboticByIds(Long[] ids);

    /**
     * 删除机器人外呼任务信息
     * 
     * @param id 机器人外呼任务ID
     * @return 结果
     */
    public int deleteCompanyVoiceRoboticById(Long id);

    List<CompanyVoiceRoboticQwUserListVo> qwUserList();
    List<CompanyVoiceRoboticQwUserListVo> qwUserListCompany(CompanyVoiceRobotic companyVoiceRobotic);

    void callerResult(PushIIntentionResult result);

    void test(Long id);
    void dispenseWx(Long id);

    void addCompany(AddWxClientVo vo);
}
